---
title: "Get card application"
description: "Retrieve the card application associated with a customer."
protocol: rest
method: GET
endpoint: "/v1/cards/applications/{application_id}"
baseUrl: "https://api.gravv.xyz"
group: "Cards"
auth:
  label: "Api-Key"
  name: "Api-Key"
  in: header
---

# Get card application

<Endpoint method="GET" path="/v1/cards/applications/{application_id}" />

Retrieve the card application associated with a customer.

## Path Parameters

<ParamField name="application_id" path="application_id" type="string" required>
  The ID of the card application (UUID).
</ParamField>

## Responses

| Status | Description |
| --- | --- |
| `200` | Card application retrieved successfully |

### 200 response

<ResponseField name="data" type="object">

  <Expandable title="properties">
    <ResponseField name="id" type="string">
      ID of the card application
    </ResponseField>

    <ResponseField name="currency" type="string">
      Currency of the funds the card will use
    </ResponseField>

    <ResponseField name="network" type="string">
      Card network
    </ResponseField>

    <ResponseField name="status" type="string">
      Current status of the card (card lifecycle status)

      Possible values: `active`, `freeze`, `blocked`, `inactive`
    </ResponseField>

    <ResponseField name="application_link" type="string,null">
      Link for selfie verification. This is only present when `status` is associated with a pending verification step.
    </ResponseField>

    <ResponseField name="date_created" type="string">
      Timestamp when the application was created
    </ResponseField>

    <ResponseField name="date_updated" type="string">
      Timestamp when the application was last updated
    </ResponseField>

    <ResponseField name="address" type="object">

      <Expandable title="properties">
        <ResponseField name="street" type="string">
        </ResponseField>

        <ResponseField name="city" type="string">
        </ResponseField>

        <ResponseField name="state" type="string">
        </ResponseField>

        <ResponseField name="postal_code" type="string">
        </ResponseField>

        <ResponseField name="country_code" type="string">
        </ResponseField>

      </Expandable>
    </ResponseField>

  </Expandable>
</ResponseField>

<ResponseField name="error" type="null">
</ResponseField>

<ResponseExample>

```json title="PendingApplication"
{
  "data": {
    "address": {
      "city": "Palo Alto City",
      "country_code": "US",
      "postal_code": "01023",
      "state": "California",
      "street": "Palo Alto Line 1"
    },
    "currency": "USD",
    "date_created": "2025-11-14T12:46:43.511Z",
    "date_updated": "2025-11-14T12:46:43.511Z",
    "id": "a14ec356-f33d-4384-ba68-4d9bfa19765b",
    "network": "visa",
    "status": "active"
  },
  "error": null
}
```

```json title="NeedsVerification"
{
  "data": {
    "address": {
      "city": "Palo Alto City",
      "country_code": "US",
      "postal_code": "01023",
      "state": "California",
      "street": "Palo Alto Line 1"
    },
    "currency": "USD",
    "date_created": "2025-11-14T12:46:43.511Z",
    "date_updated": "2025-11-14T12:46:43.511Z",
    "id": "a14ec356-f33d-4384-ba68-4d9bfa19765b",
    "network": "visa",
    "status": "active",
    "application_link": "https://verify.gravv.xyz/kyc?token=example"
  },
  "error": null
}
```

```json title="ApprovedApplication"
{
  "data": {
    "address": {
      "city": "Palo Alto City",
      "country_code": "US",
      "postal_code": "01023",
      "state": "California",
      "street": "Palo Alto Line 1"
    },
    "currency": "USD",
    "date_created": "2025-11-14T12:46:43.511Z",
    "date_updated": "2025-11-14T12:46:43.511Z",
    "id": "a14ec356-f33d-4384-ba68-4d9bfa19765b",
    "network": "visa",
    "status": "active"
  },
  "error": null
}
```

</ResponseExample>

## Authorization

- **ApiKeyAuth**
